Query model configuration details

Read model selection, capabilities and reference information for an agent model configuration.

HTTP
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/model-configs/{model_config_id}

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First query the model configuration list to obtain the configuration ID.

Set the operation-specific values used in the request:

  • $WORKSPACE_ID: Target workspace ID, passed through the X-Workspace-ID header and also as workspace_id in the path.

  • $MODEL_CONFIG_ID: The model configuration ID to query as model_config_id in the path.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/model-configs/$MODEL_CONFIG_ID" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

Parameters

Type

Is it required

Description

workspace_id

string

Yes

The current workspace ID.

model_config_id

string

Yes

Model configuration ID.

Successful response

Returns 200 on success.

JSON
{
  "code": 0,
  "data": {
    "id": "mc_01",
    "workspace_id": "ws_01",
    "name": "销售分析模型",
    "status": "active",
    "source_kind": "workspace",
    "model_category": "chat",
    "model_name": "<MODEL_NAME>",
    "parameters": {},
    "capabilities": [
      "tool_calling"
    ],
    "version": 1,
    "created_at": "2026-08-18T01:00:00Z",
    "updated_at": "2026-08-18T01:00:00Z"
  }
}

The response fields are as follows.

Field

Type

Description

code

integer

0 on success.

data.id

string

Model configuration ID.

data.workspace_id

string

ID of the workspace to which it belongs.

data.name

string

Configuration name and description; description is only returned if there is a value.

data.description

string

Configuration name and description; description is only returned if there is a value.

data.status

string

Configuration status, source type, and model category.

data.source_kind

string

Configuration status, source type, and model category.

data.model_category

string

Configuration status, source type, and model category.

data.provider_ref

string

Provider reference, model name, and display name.

data.model_name

string

Provider reference, model name, and display name.

data.display_name

string

Provider reference, model name, and display name.

data.connection_ref

string

Connection and credential reference; only returned if there is a value.

data.credential_ref

string

Connection and credential reference; only returned if there is a value.

data.parameters

object

Model parameters, parameter schema, and constraints; returned only if there is a value.

data.parameter_schema

object

Model parameters, parameter schema, and constraints; returned only if there is a value.

data.limits

object

Model parameters, parameter schema, and constraints; returned only if there is a value.

data.capabilities

string[]

Model capabilities; only returned if there is a value.

data.version

integer

Configuration version.

data.created_at

string

Creation and update time.

data.updated_at

string

Creation and update time.

[] after a type denotes an array. [] in a field path denotes each item in an array.

Error response

JSON
{
  "code": 3,
  "message": "模型配置不存在"
}

Common HTTP errors

HTTP status code

error code

Common causes

Recommended actions

400

2(INVALID_ARGUMENT)

The path parameter is invalid.

Check workspace and model configuration IDs.

401

6(UNAUTHENTICATED)

Credentials are missing or invalid.

Check API Key.

403

5(PERMISSION_DENIED)

The current identity does not have read permission.

Use valid credentials, or contact your administrator for authorization.

404

3(NOT_FOUND)

The model configuration does not exist.

First query the model configuration list.

503

15(UNAVAILABLE)

The model configuration service is unavailable.

Try again later.

Follow-up operations

Use Update model configuration to modify variable fields.

Last updated on